#include "XPac.h"


PortData NamcoPacPorts[] = 
{
	0x5000, 0xEF,
	0x5040, 0x6F,
	0x5080, 0x00,
	0x50C0, 0xFF,
	NULL, NULL
};
/*
#define DIPNAME(defaultvalue, name, extra) { 1, name, defaultvalue, extra },
#define DIPSETTING(defaultvalue, name) { 0, name, defaultvalue, 0 },
#define PORTSTART { -1, 0, 0, 0 },
#define DIPSWITCHESSTART(name) DipSwitch name[] = {
#define DIPSWITCHESEND { -2, 0, 0, 0 } };
*/

DIPSWITCHESSTART(NamcoPacSwitches)
	PORTSTART
		DIPNAME(1, "Rack Test", 2)
			DIPSETTING(0x10, "Off")
			DIPSETTING(0x00, "On")
	PORTSTART
		DIPNAME(1, "Service Mode", 2)
			DIPSETTING(0x10, "Off")
			DIPSETTING(0x00, "On")
		DIPNAME(1, "Cabinet", 2)
			DIPSETTING(0x80, "Upright")
			DIPSETTING(0x00, "Cocktail")
	PORTSTART
		DIPNAME(2, "Coinage", 4)
			DIPSETTING(0x00, "Free Play")
			DIPSETTING(0x01, "1 coin/1 credit")
			DIPSETTING(0x02, "1 coin/2 credits")
			DIPSETTING(0x03, "2 coins/1 credit")
		DIPNAME(3, "Lives", 4)
			DIPSETTING(0x00, "1 life")
			DIPSETTING(0x04, "2 lives")
			DIPSETTING(0x08, "3 lives")
			DIPSETTING(0x0c, "5 lives")
		DIPNAME(1, "Bonus Life At", 4)
			DIPSETTING(0x00, "10000")
			DIPSETTING(0x10, "15000")
			DIPSETTING(0x20, "20000")
			DIPSETTING(0x30, "None")
		DIPNAME(1, "Difficulty", 2)
			DIPSETTING(0x40, "Normal")
			DIPSETTING(0x00, "Hard")
		DIPNAME(1, "Ghost Names", 2)
			DIPSETTING(0x80, "Normal")
			DIPSETTING(0x00, "Alternate")
	PORTSTART
DIPSWITCHESEND

DIPSWITCHESSTART(MsPacSwitches)
	PORTSTART
		DIPNAME(1, "Rack Test", 2)
			DIPSETTING(0x10, "Off")
			DIPSETTING(0x00, "On")
	PORTSTART
		DIPNAME(1, "Service Mode", 2)
			DIPSETTING(0x10, "Off")
			DIPSETTING(0x00, "On")
		DIPNAME(1, "Cabinet", 2)
			DIPSETTING(0x80, "Upright")
			DIPSETTING(0x00, "Cocktail")
	PORTSTART
		DIPNAME(2, "Coinage", 4)
			DIPSETTING(0x00, "Free Play")
			DIPSETTING(0x01, "1 coin/1 credit")
			DIPSETTING(0x02, "1 coin/2 credits")
			DIPSETTING(0x03, "2 coins/1 credit")
		DIPNAME(3, "Lives", 4)
			DIPSETTING(0x00, "1 life")
			DIPSETTING(0x04, "2 lives")
			DIPSETTING(0x08, "3 lives")
			DIPSETTING(0x0c, "5 lives")
		DIPNAME(1, "Bonus Life At", 4)
			DIPSETTING(0x00, "10000")
			DIPSETTING(0x10, "15000")
			DIPSETTING(0x20, "20000")
			DIPSETTING(0x30, "None")
		DIPNAME(1, "Difficulty", 2)
			DIPSETTING(0x40, "Normal")
			DIPSETTING(0x00, "Hard")
	PORTSTART
DIPSWITCHESEND

DIPSWITCHESSTART(CrushSwitches)
	PORTSTART
		DIPNAME(1, "Cabinet", 2)
			DIPSETTING(0x00, "Upright")
			DIPSETTING(0x10, "Cocktail")
	PORTSTART
		DIPNAME(1, "Unknown Switch #1", 2)
			DIPSETTING(0x10, "Off")
			DIPSETTING(0x00, "On")
		DIPNAME(1, "Unknown Switch #2", 2)
			DIPSETTING(0x80, "Off")
			DIPSETTING(0x00, "On")
	PORTSTART
		DIPNAME(2, "Coinage", 4)
			DIPSETTING(0x00, "Free Play")
			DIPSETTING(0x01, "1 coin/1 credit")
			DIPSETTING(0x02, "1 coin/2 credits")
			DIPSETTING(0x03, "2 coins/1 credit")
		DIPNAME(1, "Lives", 4)
			DIPSETTING(0x00, "3 lives")
			DIPSETTING(0x04, "4 lives")
			DIPSETTING(0x08, "5 lives")
			DIPSETTING(0x0c, "6 lives")
		DIPNAME(1, "First Pattern", 2)
			DIPSETTING(0x10, "Easy")
			DIPSETTING(0x00, "Hard")
		DIPNAME(1, "Teleport Holes", 2)
			DIPSETTING(0x20, "Off")
			DIPSETTING(0x00, "On")
		DIPNAME(1, "Unknown Switch #3", 2)
			DIPSETTING(0x40, "Off")
			DIPSETTING(0x00, "On")
		DIPNAME(1, "Unknown Switch #4", 2)
			DIPSETTING(0x80, "Off")
			DIPSETTING(0x00, "On")
	PORTSTART
DIPSWITCHESEND
